List all bank transactions
curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/transactions/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/transactions/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/transactions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"accounts": [
{
"type": "CHECKING",
"subtype": "MONEY_MARKET",
"mask": "6789",
"balances": {
"currency_code": "USD",
"balance": "100.00",
"available_balance": "50.99",
"credit_limit": "200.00"
},
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"nickname": "My account"
}
],
"transactions": [
{
"external_id": "external_key_243901",
"description": "Some transaction",
"status": "POSTED",
"type": "DEBIT",
"transacted_at": "2022-05-04T11:30:00Z",
"location": {
"latitude": 40.73061,
"longitude": -73.935242
},
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z",
"account_id": "68a7e80942ce4ad58a93f70ce411549a",
"amount": "100.00",
"currency_code": "USD",
"check_number": "123456",
"categories": [
"Transfer"
],
"posted_at": "2022-05-04T11:30:00Z",
"memo": "",
"merchant_name": "Starbucks",
"merchant_category_code": 5967
}
]
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Transactions
List all bank transactions
The endpoint allows developers to receive user-authorized transaction data.
GET
/
v1
/
links
/
{link_id}
/
transactions
/
List all bank transactions
Authorizations
Client ID
Client Access Key
Path Parameters
Link ID
Query Parameters
Comma-separated list of account IDs to filter transactions
Comma-separated list of categories to filter transactions
Comma-separated list of account types to filter transactions (e.g., CHECKING, SAVINGS)
Comma-separated list of account subtypes to filter transactions
Filter transacted_at greater than or equal (ISO-8601)
Filter transacted_at less than or equal (ISO-8601)
A page number within the paginated result set.
Number of results to return per page. Default is 100, maximum is 500.
Was this page helpful?
⌘I